export declare const ENDPOINT_SERVICE_AVAILABILITY_ZONE_PROVIDER = "endpoint-service-availability-zones";
/**
 * Query to hosted zone context provider.
 *
 * @stability stable
 */
export interface EndpointServiceAvailabilityZonesContextQuery {
    /**
     * Query account.
     *
     * @stability stable
     */
    readonly account?: string;
    /**
     * Query region.
     *
     * @stability stable
     */
    readonly region?: string;
    /**
     * Query service name.
     *
     * @stability stable
     */
    readonly serviceName?: string;
}
/**
 * Response of the AZ provider looks like this
 */
export declare type EndpointServiceAvailabilityZonesContextResponse = string[];
